// C Source File
// Created 11/21/2010; 2:13:29 PM

//******************************************************************************
//
// Project:         Jumpman 89
//
// file name:       jm_graphics.c
//
// author:          David Randall "Ranman" 
//                  derandall99@gmail.com
//
// notes::          Jumpman was originally created by Randy Glover for the
//                  Atari 400, Commodore 64, IBM PCjr, and Apple II in 1982
//
//******************************************************************************


#include <tigcclib.h>
#include "extgraph.h"

#include "BasicTypes.h"
#include "GrayUtils.h"
#include "FontUtils.h"

#include "jm_graphics.h"

#include "j3.h"
#include "j7.h"
#include "j8.h"

uint1* plane_visible_0;
uint1* plane_visible_1;
uint1* plane_active_0;
uint1* plane_active_1;

uint4 plane_offset_92plus = (14 * 30 + 5);

//uint1 visible_plane_0[LCD_SIZE];
//uint1 visible_plane_1[LCD_SIZE];
//uint1 active_plane_0[LCD_SIZE];
//uint1 active_plane_1[LCD_SIZE];

uint1 jumpman_bkgd_0[12];
uint1 jumpman_bkgd_1[12];
uint1 platform_piece_0[4];
uint1 platform_piece_1[4];

void DrawJumpmanLetter(uint2 letter, uint2 color, int2 x, int2 y)
{
	// 0 = nothing, 1 = J, 2 = u, 3 = m, 4 = p, 5 = a, 6 = n
	static int2 letter_color[4][2] =
	{
		{ 0, 0}, { 1, 0}, { 0, 1}, { 1, 1},
	};

	uint2  letter_offset = (letter * (1*16*2));

	GrayClipSprite16_SMASK_R(x, y, 16, j8 + (letter_offset * letter_color[color][0]), j8 + (letter_offset * letter_color[color][1]), j8 + letter_offset + 16, PLANE_CurrentPlane0, PLANE_CurrentPlane1);
}

void DrawWhiteLine(int2 x0, int2 y0, int2 x1, int2 y1)
{
	GrayFastDrawLine2B_R(PLANE_CurrentPlane0, PLANE_CurrentPlane1, x0, y0, x1, y1, 0);
}

void EraseScreen(void)
{
	GrayFillScreen(COLOR_Black);
	SwapPlaneBuffers();
	GrayFillScreen(COLOR_Black);
	SwapPlaneBuffers();
}

unsigned char jumpman_test_sprite[] =
{
//  0x7e,0x7e,0x7e,0x7e,0x7e,0x7e,0x7e,0x7e // 32
  0x00,0x7e,0x7e,0x7e,0x7e,0x7e,0x7e,0x00 // 32
//  0x00,0x3c,0x3c,0x3c,0x3c,0x3c,0x3c,0x00 // 32
//  0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff // 32
};

